GET
/api/v1/stats/tickerStatistics_GetStatisticsTicker
- Authentication
- public
- Cache policy
- public-medium
- Success and errors
- 200, 400, 404, 500, 503
- Stability
- v1 stable contract
OpenAPI operation
{
"operationId": "Statistics_GetStatisticsTicker",
"summary": "Read the stable compact statistics ticker",
"tags": [
"Statistics"
],
"parameters": [],
"security": [
{},
{
"apiKeyAuth": []
}
],
"responses": {
"200": {
"description": "Success",
"content": {
"application/json": {
"schema": {
"type": "object",
"additionalProperties": false,
"required": [
"data",
"meta"
],
"properties": {
"data": {
"type": "object",
"properties": {
"version": {
"type": "number",
"const": 1
},
"generation": {
"type": "string",
"pattern": "^\\d+$"
},
"asOf": {
"type": "string",
"format": "date-time",
"pattern": "^(?:(?:\\d\\d[2468][048]|\\d\\d[13579][26]|\\d\\d0[48]|[02468][048]00|[13579][26]00)-02-29|\\d{4}-(?:(?:0[13578]|1[02])-(?:0[1-9]|[12]\\d|3[01])|(?:0[469]|11)-(?:0[1-9]|[12]\\d|30)|(?:02)-(?:0[1-9]|1\\d|2[0-8])))T(?:(?:[01]\\d|2[0-3]):[0-5]\\d(?::[0-5]\\d(?:\\.\\d+)?)?(?:Z))$"
},
"projectedAt": {
"type": "string",
"format": "date-time",
"pattern": "^(?:(?:\\d\\d[2468][048]|\\d\\d[13579][26]|\\d\\d0[48]|[02468][048]00|[13579][26]00)-02-29|\\d{4}-(?:(?:0[13578]|1[02])-(?:0[1-9]|[12]\\d|3[01])|(?:0[469]|11)-(?:0[1-9]|[12]\\d|30)|(?:02)-(?:0[1-9]|1\\d|2[0-8])))T(?:(?:[01]\\d|2[0-3]):[0-5]\\d(?::[0-5]\\d(?:\\.\\d+)?)?(?:Z))$"
},
"stale": {
"type": "boolean"
},
"ranking": {
"maxItems": 10,
"type": "array",
"items": {
"type": "object",
"properties": {
"publicId": {
"type": "string",
"format": "uuid",
"pattern": "^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$"
},
"canonicalSlug": {
"type": "string",
"minLength": 1
},
"name": {
"type": "string"
},
"imageUri": {
"anyOf": [
{
"type": "string"
},
{
"type": "null"
}
]
},
"rank": {
"anyOf": [
{
"type": "string",
"pattern": "^\\d+$"
},
{
"type": "null"
}
]
},
"scorePpm": {
"anyOf": [
{
"type": "integer",
"minimum": 0,
"maximum": 1000000
},
{
"type": "null"
}
]
},
"trustScorePpm": {
"anyOf": [
{
"type": "integer",
"minimum": 0,
"maximum": 1000000
},
{
"type": "null"
}
]
},
"rankConfidencePpm": {
"anyOf": [
{
"type": "integer",
"minimum": 0,
"maximum": 1000000
},
{
"type": "null"
}
]
},
"verificationState": {
"type": "string",
"enum": [
"UNVERIFIED",
"PARTIAL",
"VERIFIED",
"EXPIRED",
"REVOKED",
"CONFLICTED"
]
},
"latestActivityAt": {
"anyOf": [
{
"type": "string",
"format": "date-time",
"pattern": "^(?:(?:\\d\\d[2468][048]|\\d\\d[13579][26]|\\d\\d0[48]|[02468][048]00|[13579][26]00)-02-29|\\d{4}-(?:(?:0[13578]|1[02])-(?:0[1-9]|[12]\\d|3[01])|(?:0[469]|11)-(?:0[1-9]|[12]\\d|30)|(?:02)-(?:0[1-9]|1\\d|2[0-8])))T(?:(?:[01]\\d|2[0-3]):[0-5]\\d(?::[0-5]\\d(?:\\.\\d+)?)?(?:Z))$"
},
{
"type": "null"
}
]
}
},
"required": [
"publicId",
"canonicalSlug",
"name",
"imageUri",
"rank",
"scorePpm",
"trustScorePpm",
"rankConfidencePpm",
"verificationState",
"latestActivityAt"
],
"additionalProperties": false
}
},
"activity": {
"maxItems": 10,
"type": "array",
"items": {
"type": "object",
"properties": {
"publicId": {
"type": "string",
"format": "uuid",
"pattern": "^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$"
},
"canonicalSlug": {
"type": "string",
"minLength": 1
},
"name": {
"type": "string"
},
"imageUri": {
"anyOf": [
{
"type": "string"
},
{
"type": "null"
}
]
},
"rank": {
"anyOf": [
{
"type": "string",
"pattern": "^\\d+$"
},
{
"type": "null"
}
]
},
"scorePpm": {
"anyOf": [
{
"type": "integer",
"minimum": 0,
"maximum": 1000000
},
{
"type": "null"
}
]
},
"trustScorePpm": {
"anyOf": [
{
"type": "integer",
"minimum": 0,
"maximum": 1000000
},
{
"type": "null"
}
]
},
"rankConfidencePpm": {
"anyOf": [
{
"type": "integer",
"minimum": 0,
"maximum": 1000000
},
{
"type": "null"
}
]
},
"verificationState": {
"type": "string",
"enum": [
"UNVERIFIED",
"PARTIAL",
"VERIFIED",
"EXPIRED",
"REVOKED",
"CONFLICTED"
]
},
"latestActivityAt": {
"anyOf": [
{
"type": "string",
"format": "date-time",
"pattern": "^(?:(?:\\d\\d[2468][048]|\\d\\d[13579][26]|\\d\\d0[48]|[02468][048]00|[13579][26]00)-02-29|\\d{4}-(?:(?:0[13578]|1[02])-(?:0[1-9]|[12]\\d|3[01])|(?:0[469]|11)-(?:0[1-9]|[12]\\d|30)|(?:02)-(?:0[1-9]|1\\d|2[0-8])))T(?:(?:[01]\\d|2[0-3]):[0-5]\\d(?::[0-5]\\d(?:\\.\\d+)?)?(?:Z))$"
},
{
"type": "null"
}
]
}
},
"required": [
"publicId",
"canonicalSlug",
"name",
"imageUri",
"rank",
"scorePpm",
"trustScorePpm",
"rankConfidencePpm",
"verificationState",
"latestActivityAt"
],
"additionalProperties": false
}
},
"counters": {
"type": "object",
"properties": {
"publicAgents": {
"type": "string",
"pattern": "^\\d+$"
},
"verifiedAgents": {
"type": "string",
"pattern": "^\\d+$"
},
"activeServices": {
"type": "string",
"pattern": "^\\d+$"
},
"activeTokens": {
"type": "string",
"pattern": "^\\d+$"
},
"openJobs": {
"type": "string",
"pattern": "^\\d+$"
}
},
"required": [
"publicAgents",
"verifiedAgents",
"activeServices",
"activeTokens",
"openJobs"
],
"additionalProperties": false
}
},
"required": [
"version",
"generation",
"asOf",
"projectedAt",
"stale",
"ranking",
"activity",
"counters"
],
"additionalProperties": false
},
"meta": {
"type": "object",
"additionalProperties": true,
"required": [
"requestId",
"schemaVersion",
"buildVersion",
"generatedAt",
"freshness"
],
"properties": {
"requestId": {
"type": "string",
"format": "uuid"
},
"schemaVersion": {
"type": "string"
},
"buildVersion": {
"type": "string"
},
"generatedAt": {
"type": "string",
"format": "date-time"
},
"freshness": {
"type": "object",
"additionalProperties": false,
"required": [
"projectedAt",
"sourceWatermark"
],
"properties": {
"projectedAt": {
"type": [
"string",
"null"
],
"format": "date-time"
},
"sourceWatermark": {
"type": [
"string",
"null"
]
}
}
}
}
}
}
}
}
}
},
"400": {
"description": "invalid request",
"content": {
"application/problem+json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
}
},
"404": {
"description": "not found",
"content": {
"application/problem+json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
}
},
"500": {
"description": "internal error",
"content": {
"application/problem+json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
}
},
"503": {
"description": "dependency unavailable",
"content": {
"application/problem+json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
}
}
},
"x-auth-mode": "public",
"x-cache-policy": "public-medium",
"x-required-scopes": [
"stats:read"
],
"x-rate-cost": 1,
"x-stability": "STABLE"
}